scoreboard teams join players @a[team=!players]
scoreboard players tag @e[type=item] add killitem {Item:{id:"minecraft:egg"}}
kill @e[type=item,tag=killitem]
entitydata @e[type=item] {PickupDelay:0}
execute @e[type=item] ~ ~ ~ tp @s @p
gamemode adventure @a[tag=!regged,m=!adventure]

#LEAVE_SYSTEM
    execute @a[score_leave_min=1] ~ ~ ~ scoreboard players tag @s add died
    execute @a[score_leave_min=1] ~ ~ ~ scoreboard players set @s leave 0
    execute @a[tag=died] ~ ~ ~ scoreboard players tag @s remove regged
    execute @a[tag=died] ~ ~ ~ scoreboard players tag @s remove died
    gamemode adventure @a[tag=!regged,m=!adventure]

#DEATH_SYSTEM
    execute @a[score_deaths_min=1] ~ ~ ~ scoreboard players tag @s remove alive
    execute @a[score_deaths_min=1] ~ ~ ~ scoreboard players set @s deaths 0
    execute @a[score_time_death_min=1,tag=!alive] ~ ~ ~ scoreboard players tag @s add died
    execute @a[tag=died] ~ ~ ~ scoreboard players tag @s remove regged
    execute @a[tag=died] ~ ~ ~ scoreboard players tag @s add alive
    execute @a[tag=died] ~ ~ ~ scoreboard players tag @s remove died
    gamemode adventure @a[tag=!regged,m=!adventure]

#1 (Lobby)
    execute @e[tag=mind,score_checkp_min=1,score_checkp=1] ~ ~ ~ clear @a[tag=!regged]
    execute @e[tag=mind,score_checkp_min=1,score_checkp=1] ~ ~ ~ effect @a[tag=!regged] minecraft:night_vision 999999 255 true
    execute @e[tag=mind,score_checkp_min=1,score_checkp=1] ~ ~ ~ effect @a[tag=!regged] minecraft:saturation 999999 255 true
    execute @e[tag=mind,score_checkp_min=1,score_checkp=1] ~ ~ ~ effect @a[tag=!regged] minecraft:resistance 999999 255 true
    execute @e[tag=mind,score_checkp_min=1,score_checkp=1] ~ ~ ~ tp @a[tag=!regged] -10032 47.7 19891 0 -7
    execute @e[tag=mind,score_checkp_min=1,score_checkp=1] ~ ~ ~ spawnpoint @a[tag=!regged] -10032 47.7 19891
    execute @e[tag=mind,score_checkp_min=1,score_checkp=1] ~ ~ ~ scoreboard players tag @a[tag=!regged] add regged

#2 (Village)
    execute @e[tag=mind,score_checkp_min=2,score_checkp=2] ~ ~ ~ effect @a[tag=!regged] minecraft:night_vision 999999 255 true
    execute @e[tag=mind,score_checkp_min=2,score_checkp=2] ~ ~ ~ effect @a[tag=!regged] minecraft:saturation 999999 255 true
    execute @e[tag=mind,score_checkp_min=2,score_checkp=2] ~ ~ ~ effect @a[tag=!regged] minecraft:resistance 999999 255 true
    execute @e[tag=mind,score_checkp_min=2,score_checkp=2] ~ ~ ~ tp @a[tag=!regged] -69 57 470 0 2
    execute @e[tag=mind,score_checkp_min=2,score_checkp=2] ~ ~ ~ spawnpoint @a[tag=!regged] -69 57 470
    execute @e[tag=mind,score_checkp_min=2,score_checkp=2] ~ ~ ~ scoreboard players tag @a[tag=!regged] add regged

#3 (Outside Cave)
    execute @e[tag=mind,score_checkp_min=3,score_checkp=3] ~ ~ ~ effect @a[tag=!regged] minecraft:night_vision 999999 255 true
    execute @e[tag=mind,score_checkp_min=3,score_checkp=3] ~ ~ ~ effect @a[tag=!regged] minecraft:saturation 999999 255 true
    execute @e[tag=mind,score_checkp_min=3,score_checkp=3] ~ ~ ~ effect @a[tag=!regged] minecraft:resistance 999999 255 true
    execute @e[tag=mind,score_checkp_min=3,score_checkp=3] ~ ~ ~ tp @a[tag=!regged] -15 57 161 90 0
    execute @e[tag=mind,score_checkp_min=3,score_checkp=3] ~ ~ ~ spawnpoint @a[tag=!regged] -15 57 161
    execute @e[tag=mind,score_checkp_min=3,score_checkp=3] ~ ~ ~ scoreboard players tag @a[tag=!regged] add regged

#4 (Inside Cave - No Headset)
    execute @e[tag=mind,score_checkp_min=4,score_checkp=4] ~ ~ ~ effect @a[tag=!regged] minecraft:night_vision 999999 255 true
    execute @e[tag=mind,score_checkp_min=4,score_checkp=4] ~ ~ ~ effect @a[tag=!regged] minecraft:saturation 999999 255 true
    execute @e[tag=mind,score_checkp_min=4,score_checkp=4] ~ ~ ~ effect @a[tag=!regged] minecraft:resistance 999999 255 true
    execute @e[tag=mind,score_checkp_min=4,score_checkp=4] ~ ~ ~ tp @a[tag=!regged] -109 42 172 90 -1
    execute @e[tag=mind,score_checkp_min=4,score_checkp=4] ~ ~ ~ spawnpoint @a[tag=!regged] -109 42 172
    execute @e[tag=mind,score_checkp_min=4,score_checkp=4] ~ ~ ~ scoreboard players tag @a[tag=!regged] add regged

#5 (Inside Cave - With Headset)
    execute @e[tag=mind,score_checkp_min=5,score_checkp=5] ~ ~ ~ effect @a[tag=!regged] minecraft:night_vision 999999 255 true
    execute @e[tag=mind,score_checkp_min=5,score_checkp=5] ~ ~ ~ effect @a[tag=!regged] minecraft:saturation 999999 255 true
    execute @e[tag=mind,score_checkp_min=5,score_checkp=5] ~ ~ ~ effect @a[tag=!regged] minecraft:resistance 999999 255 true
    execute @e[tag=mind,score_checkp_min=5,score_checkp=5] ~ ~ ~ replaceitem entity @a[tag=!regged] slot.armor.head minecraft:pumpkin 1 0 {HideFlags:5,Unbreakable:1,display:{Name:"§r§fHeadset§r"},ench:[{id:10,lvl:10}]}
    execute @e[tag=mind,score_checkp_min=5,score_checkp=5] ~ ~ ~ tp @a[tag=!regged] -109 42 172 90 -1
    execute @e[tag=mind,score_checkp_min=5,score_checkp=5] ~ ~ ~ spawnpoint @a[tag=!regged] -109 42 172
    execute @e[tag=mind,score_checkp_min=5,score_checkp=5] ~ ~ ~ scoreboard players tag @a[tag=!regged] add regged

#6 (Parkour)
    execute @e[tag=mind,score_checkp_min=6,score_checkp=6] ~ ~ ~ scoreboard players tag @a[tag=!regged] add parkour1
    execute @e[tag=mind,score_checkp_min=6,score_checkp=6] ~ ~ ~ effect @a[tag=!regged] minecraft:night_vision 999999 255 true
    execute @e[tag=mind,score_checkp_min=6,score_checkp=6] ~ ~ ~ effect @a[tag=!regged] minecraft:saturation 999999 255 true
    execute @e[tag=mind,score_checkp_min=6,score_checkp=6] ~ ~ ~ effect @a[tag=!regged] minecraft:resistance 999999 255 true
    execute @e[tag=mind,score_checkp_min=6,score_checkp=6] ~ ~ ~ replaceitem entity @a[tag=!regged] slot.armor.head minecraft:pumpkin 1 0 {HideFlags:5,Unbreakable:1,display:{Name:"§r§fHeadset§r"},ench:[{id:10,lvl:10}]}
    execute @e[tag=mind,score_checkp_min=6,score_checkp=6] ~ ~ ~ tp @a[tag=!regged] -5655 119 -42 90 5
    execute @e[tag=mind,score_checkp_min=6,score_checkp=6] ~ ~ ~ spawnpoint @a[tag=!regged] -5655 119 -42
    execute @e[tag=mind,score_checkp_min=6,score_checkp=6] ~ ~ ~ scoreboard players tag @a[tag=!regged] add regged

#7 (Maze)
    execute @e[tag=mind,score_checkp_min=7,score_checkp=7] ~ ~ ~ effect @a[tag=!regged] minecraft:night_vision 999999 255 true
    execute @e[tag=mind,score_checkp_min=7,score_checkp=7] ~ ~ ~ effect @a[tag=!regged] minecraft:saturation 999999 255 true
    execute @e[tag=mind,score_checkp_min=7,score_checkp=7] ~ ~ ~ effect @a[tag=!regged] minecraft:resistance 999999 255 true
    execute @e[tag=mind,score_checkp_min=7,score_checkp=7] ~ ~ ~ replaceitem entity @a[tag=!regged] slot.armor.head minecraft:pumpkin 1 0 {HideFlags:5,Unbreakable:1,display:{Name:"§r§fHeadset§r"},ench:[{id:10,lvl:10}]}
    execute @e[tag=mind,score_checkp_min=7,score_checkp=7] ~ ~ ~ tp @a[tag=!regged] -13798 74 6430 -90 6
    execute @e[tag=mind,score_checkp_min=7,score_checkp=7] ~ ~ ~ spawnpoint @a[tag=!regged] -13798 74 6430
    execute @e[tag=mind,score_checkp_min=7,score_checkp=7] ~ ~ ~ scoreboard players tag @a[tag=!regged] add regged

#8 (Dropper)
    execute @e[tag=mind,score_checkp_min=8,score_checkp=8] ~ ~ ~ scoreboard players tag @a[tag=!regged] add dropper
    execute @e[tag=mind,score_checkp_min=8,score_checkp=8] ~ ~ ~ effect @a[tag=!regged] minecraft:night_vision 999999 255 true
    execute @e[tag=mind,score_checkp_min=8,score_checkp=8] ~ ~ ~ effect @a[tag=!regged] minecraft:saturation 999999 255 true
    execute @e[tag=mind,score_checkp_min=8,score_checkp=8] ~ ~ ~ replaceitem entity @a[tag=!regged] slot.armor.head minecraft:pumpkin 1 0 {HideFlags:5,Unbreakable:1,display:{Name:"§r§fHeadset§r"},ench:[{id:10,lvl:10}]}
    execute @e[tag=mind,score_checkp_min=8,score_checkp=8] ~ ~ ~ tp @a[tag=!regged] -3621 251 -7287 -90 12
    execute @e[tag=mind,score_checkp_min=8,score_checkp=8] ~ ~ ~ spawnpoint @a[tag=!regged] -3621 251 -7287
    execute @e[tag=mind,score_checkp_min=8,score_checkp=8] ~ ~ ~ scoreboard players tag @a[tag=!regged] add regged

#9 (Inside Cave - No Headset - In The Machine)
    execute @e[tag=mind,score_checkp_min=9,score_checkp=9] ~ ~ ~ effect @a[tag=!regged] minecraft:night_vision 0
    execute @e[tag=mind,score_checkp_min=9,score_checkp=9] ~ ~ ~ effect @a[tag=!regged] minecraft:saturation 0
    execute @e[tag=mind,score_checkp_min=9,score_checkp=9] ~ ~ ~ effect @a[tag=!regged] minecraft:resistance 0
    execute @e[tag=mind,score_checkp_min=9,score_checkp=9] ~ ~ ~ tp @a[tag=!regged] -118 48 205 90 0
    execute @e[tag=mind,score_checkp_min=9,score_checkp=9] ~ ~ ~ spawnpoint @a[tag=!regged] -118 48 205
    execute @e[tag=mind,score_checkp_min=9,score_checkp=9] ~ ~ ~ scoreboard players tag @a[tag=!regged] add regged

#10 (Chambers)
    execute @e[tag=mind,score_checkp_min=10,score_checkp=10] ~ ~ ~ clear @a[tag=!kill] minecraft:iron_sword
    execute @e[tag=mind,score_checkp_min=10,score_checkp=10] ~ ~ ~ effect @a[tag=!regged] minecraft:night_vision 999999 255 true
    execute @e[tag=mind,score_checkp_min=10,score_checkp=10] ~ ~ ~ effect @a[tag=!regged] minecraft:saturation 999999 255 true
    execute @e[tag=mind,score_checkp_min=10,score_checkp=10] ~ ~ ~ effect @a[tag=!regged] minecraft:resistance 999999 255 true
    execute @e[tag=mind,score_checkp_min=10,score_checkp=10] ~ ~ ~ tp @a[tag=!regged] 5041 41 5041 0 0
    execute @e[tag=mind,score_checkp_min=10,score_checkp=10] ~ ~ ~ spawnpoint @a[tag=!regged] 5041 41 5041
    execute @e[tag=mind,score_checkp_min=10,score_checkp=10] ~ ~ ~ scoreboard players tag @a[tag=!regged] add regged

#11 (Boss Battle - Without Tool)
    execute @e[tag=mind,score_checkp_min=11,score_checkp=11] ~ ~ ~ effect @a[tag=!regged] minecraft:night_vision 999999 255 true
    execute @e[tag=mind,score_checkp_min=11,score_checkp=11] ~ ~ ~ effect @a[tag=!regged] minecraft:saturation 999999 255 true
    execute @e[tag=mind,score_checkp_min=11,score_checkp=11] ~ ~ ~ tp @a[tag=!regged] 4972 64 5055.0 90 -10
    execute @e[tag=mind,score_checkp_min=11,score_checkp=11] ~ ~ ~ spawnpoint @a[tag=!regged] 4972 64 5055.0
    execute @e[tag=mind,score_checkp_min=11,score_checkp=11] ~ ~ ~ scoreboard players tag @a[tag=!regged] add get_weapon
    execute @e[tag=mind,score_checkp_min=11,score_checkp=11] ~ ~ ~ scoreboard players tag @a[tag=!regged] add regged

#12 (Boss Battle - With Tool)
    execute @e[tag=mind,score_checkp_min=12,score_checkp=12] ~ ~ ~ effect @a[tag=!regged] minecraft:night_vision 999999 255 true
    execute @e[tag=mind,score_checkp_min=12,score_checkp=12] ~ ~ ~ effect @a[tag=!regged] minecraft:saturation 999999 255 true
    execute @e[tag=mind,score_checkp_min=12,score_checkp=12] ~ ~ ~ tp @a[tag=!regged] 4972 64 5055.0 90 -10
    execute @e[tag=mind,score_checkp_min=12,score_checkp=12] ~ ~ ~ spawnpoint @a[tag=!regged] 4972 64 5055.0
    execute @e[tag=mind,score_checkp_min=12,score_checkp=12] ~ ~ ~ scoreboard players tag @a[tag=!regged] add get_tool
    execute @e[tag=mind,score_checkp_min=12,score_checkp=12] ~ ~ ~ scoreboard players tag @a[tag=!regged] add regged

#12 (The End)
    execute @e[tag=mind,score_checkp_min=13,score_checkp=13] ~ ~ ~ effect @a[tag=!regged] minecraft:night_vision 999999 255 true
    execute @e[tag=mind,score_checkp_min=13,score_checkp=13] ~ ~ ~ effect @a[tag=!regged] minecraft:saturation 999999 255 true
    execute @e[tag=mind,score_checkp_min=13,score_checkp=13] ~ ~ ~ effect @a[tag=!regged] minecraft:resistance 999999 255 true
    execute @e[tag=mind,score_checkp_min=13,score_checkp=13] ~ ~ ~ tp @a[tag=!regged] 6934 57 3031 0 0
    execute @e[tag=mind,score_checkp_min=13,score_checkp=13] ~ ~ ~ spawnpoint @a[tag=!regged] 6934 57 3031
    execute @e[tag=mind,score_checkp_min=13,score_checkp=13] ~ ~ ~ scoreboard players tag @a[tag=!regged] add regged
